/*
 * matdb: generic materials database information.



    Copyright (C) 2008 Joseph Pingenot

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef MATDB_H_
#define MATDB_H_

#include <glib-2.0/glib.h>

struct matdb_material {
  GString *name;
  GHashTable *properties;
};

struct matdb_bowing {
  GString *from;
  GString *to;
  GHashTable *properties;
};

struct matdb {
  GHashTable *materials;
  GHashTable *bowings;
};

void print_matdb(const struct matdb *mdb);
void destroy_material_gpointer(gpointer data);
void destroy_bowing_gpointer(gpointer data);
void destroy_material(struct matdb_material *mat);
void destroy_bowing(struct matdb_bowing *bow);

#endif
